#ifndef CWALLS_H
#define CWALLS_H

#include "../common/sources/system/cmaths.h"
#include "../common/sources/Map.h"

#define WALL_TABLE_WIDTH    5
#define WALL_TABLE_HEIGHT   4

class CWalls
{
public:
    CWalls();

    CVec2       getDrawSequence(CVec2 pos);
    CVec2       getMapPos(CVec2 tablePos);
    const char* getFilename(CVec2 tablePos, EWallSide side, bool flip);
    CVec2       getGfxPos(CVec2 tablePos, EWallSide side, bool flip);

private:
    int         getTableSide(EWallSide side, bool flip);
};

extern CWalls   walls;

#endif // CWALLS_H
