import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Layouts 1.2

Grid {
    id: grid1
    x: 6
    y: 6
    spacing: 5
    columns: 2

    Label {
        height: textLargeur.height
        text: qsTr("Largeur")
        verticalAlignment: Text.AlignVCenter
    }

    TextField {
        id: textLargeur
        text: "15"
        placeholderText: qsTr("")
        onTextChanged: bridge.setMapWidth(parseInt(text));
    }

    Label {
        height: textHauteur.height
        text: qsTr("Hauteur")
        verticalAlignment: Text.AlignVCenter
    }

    TextField {
        id: textHauteur
        text: "10"
        placeholderText: qsTr("")
        onTextChanged: bridge.setMapHeight(parseInt(text));
    }

    Item {
        id: item2
        width: 1
        height: 1
    }

    Button {
        id: buttonGenerer
        text: qsTr("Redimensionner")
        onClicked:{
            buttonGenerer.enabled = false;
            bridge.resizeMap();
            buttonGenerer.enabled = true;
        }
    }
}
